"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const eq$1 = require("./eq.js");
const isArrayLike$1 = require("./isArrayLike.js");
const _isIndex = require("./_isIndex.js");
const isObject$1 = require("./isObject.js");
var eq = eq$1.eq_1, isArrayLike = isArrayLike$1.isArrayLike_1, isIndex = _isIndex._isIndex, isObject = isObject$1.isObject_1;
function isIterateeCall(value, index, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike(object) && isIndex(index, object.length) : type == "string" && index in object) {
    return eq(object[index], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall;
exports._isIterateeCall = _isIterateeCall;
